org.hibernate.search.query.dsl.impl

## Class ConnectedQueryContextBuilder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedQueryContextBuilder

- All Implemented Interfaces:
    QueryContextBuilder

      public class ConnectedQueryContextBuilder
      extends Object
      implements QueryContextBuilder

  Assuming connection with the search factory
  Author:
    Emmanuel Bernard

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ConnectedQueryContextBuilder.HSearchEntityContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedQueryContextBuilder(ExtendedSearchIntegrator factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityContext` | `forEntity(Class<?> entityType)` Creates an entity context which can be used to obtain a `QueryBuilder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedQueryContextBuilder

          public ConnectedQueryContextBuilder(ExtendedSearchIntegrator factory)

  - ### Method Detail

    - #### forEntity

          public EntityContext forEntity(Class<?> entityType)

      Description copied from interface: `QueryContextBuilder`
      Creates an entity context which can be used to obtain a `QueryBuilder`.

      Note that the passed entity type is used to verify field names, transparently apply analyzers and field bridges etc. The query result list, however, is not automatically restricted to the given type. Instead a type filter must be applied when creating the full text query in order to restrict the query result to certain entity types.

      Specified by:
        `forEntity` in interface `QueryContextBuilder`
      Parameters:
        `entityType` - entity type used for meta data retrieval during query creation
      Returns:
        an entity context

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved